# TEMPLATE: Shape doc

Intro here. Replace XYZ with the shape's name in titles.

## What is xyz?

Reusable content, Ref Shape here, what is on parent page as well.

## Types of xyz

If there are variants of the shape, like Trigger types, Return has expression/http/binary, SharedState has different operations, etc.

## Usage

How to use the shape in Process, requirements for connections etc.

## Architecture

Any effect on the higher level architecture, such as trigger being connected to Agent's events and return providing the response and results outside processes, to logging etc.

## Configuration

To set up a XYZ shape, add the shape to Process canvas and connect it as part of your Process. After that, you can configure the parameters for the shape.

The following configuration parameters are available for XYZ.

## Reference Values

Does the shape provide reference values, such as #result.

## Examples

You can learn more about XYZ shape from the following guides and examples.

<details>

<summary>XYZ</summary>

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.frends.com/reference/frends-6.1.0/shapes/template-shape-doc.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
